import FileHandler from "./FileHandler";

export default function parseMultipleChoice(
  luaSource: string,
  fileHandler: FileHandler,
) {
  const MultipleChoicesearch = luaSource.match(/.*? = Wherigo\.ZInput\(/g);
  if (MultipleChoicesearch) {
    fileHandler.sendString("De antwoorden op de vragen:");
    MultipleChoicesearch.forEach(function (vraag) {
      const vraagId = vraag.split(" ")[0];
      const vraagRegex = luaSource.match(
        new RegExp(vraagId + '.Text = ".*"', "gm"),
      );
      let vraagText: string;
      if (vraagRegex)
        vraagText = vraagRegex[0].split('"').slice(1, -1).join('"');
      else vraagText = "vraag onbekend";
      const antwoord = luaSource.match(
        new RegExp(
          vraagId +
            ':OnGetInput\\(input\\)\n  .*? = input\n  if Wherigo\\.NoCaseEquals\\(.*?, \\".*?\\"\\)',
          "gm",
        ),
      );
      if (antwoord)
        fileHandler.sendString(`${vraagText}=${antwoord[0].split('"')[1]}`);
      else fileHandler.sendString(vraagText + "=?????????");
    });
  } else fileHandler.sendString("geen vragen gedetecteerd.");
}
